Package com.sas.lsaf.workflow.task

## Class Task

- java.lang.Object
- - com.sas.lsaf.core.AbstractIdentifiable
  - - com.sas.lsaf.workflow.element.Element
    - - com.sas.lsaf.workflow.task.Task

- All Implemented Interfaces:
    `Identifiable`, `java.io.Serializable`
  Direct Known Subclasses:
    `JobTask`, `NotificationTask`, `UserTask`

      public abstract class Task
      extends Element

  The abstract parent class for a task that is in a process flow.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `Task.Complexity` | The valid values for the complexities of a task.
    `static class` | `Task.Priority` | The valid values for the priorities of a task.
    `static class` | `Task.TaskStatus` | The valid values for the status of a task.

    - ### Nested classes/interfaces inherited from class com.sas.lsaf.workflow.element.Element

      `Element.ElementType`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Task​(java.lang.String typeId, java.lang.String id, java.lang.String elementId, java.lang.String name, java.lang.String description, Element.ElementType type, ProcessFlowDescriptor.FlowStatus flowStatus, java.lang.String processFlowId, java.util.Date created, java.util.Date started, Task.TaskStatus taskStatus, java.util.List<Attribute> attributes)` | It is not intended or recommended that the consumer of this API construct these objects.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.List<Attribute>` | `getAttributes()` | Gets the extended attributes of the task.
    `java.util.Date` | `getStarted()` | Gets the date on which the task was started.
    `Task.TaskStatus` | `getTaskStatus()` | Gets the status of the task.
    `void` | `setAttributes​(java.util.List<Attribute> attributes)` | Sets the extended attributes for the task.

    - ### Methods inherited from class com.sas.lsaf.workflow.element.Element

      `equals, getCreated, getDescription, getElementId, getFlowStatus, getName, getProcessFlowId, getType, hashCode, setDescription, setName, toString`

    - ### Methods inherited from class com.sas.lsaf.core.AbstractIdentifiable

      `getId, getTypeId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Task

          public Task​(java.lang.String typeId,
                      java.lang.String id,
                      java.lang.String elementId,
                      java.lang.String name,
                      java.lang.String description,
                      Element.ElementType type,
                      ProcessFlowDescriptor.FlowStatus flowStatus,
                      java.lang.String processFlowId,
                      java.util.Date created,
                      java.util.Date started,
                      Task.TaskStatus taskStatus,
                      java.util.List<Attribute> attributes)

      It is not intended or recommended that the consumer of this API construct these objects. They should only deal with the tasks returned by the API.
      Parameters:
        `typeId` - The object type identifier of the task.
        `id` - The unique identifier of the task.
        `elementId` - The identifier of the task as it appears in the process flow definition.
        `name` - The name of the task.
        `description` - The description of the task.
        `type` - The type of the task.
        `flowStatus` - The status of the process flow that contains the task.
        `processFlowId` - The identifier of the process flow that contains the task.
        `created` - The date on which the task was created.
        `started` - The date on which the task was started.
        `taskStatus` - The status of the task.
        `attributes` - The extended attributes of the task.

  - ### Method Detail

    - #### getAttributes

          public java.util.List<Attribute> getAttributes()

      Gets the extended attributes of the task.
      Returns:
        The extended attributes.

    - #### getTaskStatus

          public Task.TaskStatus getTaskStatus()

      Gets the status of the task.
      Returns:
        The status.

    - #### getStarted

          public java.util.Date getStarted()

      Gets the date on which the task was started.
      Returns:
        The date.

    - #### setAttributes

          public void setAttributes​(java.util.List<Attribute> attributes)

      Sets the extended attributes for the task.
      Parameters:
        `attributes` - The extended attributes.